<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once THEME."theme.php";

if ($settings['maintenance'] == "1" && !iADMIN) fallback(BASEDIR."maintenance.php");
if (iMEMBER) $result = dbquery("UPDATE ".$db_prefix."users SET user_lastvisit='".time()."', user_ip='".USER_IP."' WHERE user_id='".$userdata['user_id']."'");

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
<html>
<head>";
include LOCALE.LOCALESET."page_titles.php";
$url = parse_url(FUSION_SELF);
function title($column, $table, $compare1, $compare2, $begin, $alt) {
	if(!isnum($compare2)) $compare2 = 0;
	$result = dbquery("SELECT $column FROM ".DB_PREFIX."$table WHERE $compare1=$compare2");
	if (dbrows($result) != 0) {
		$data = dbarray($result);
		$title = $begin.stripslashes($data[$column]);
	} else {
		$title = $alt;
	}
	return $title;
}
if($url['path'] == "submit.php") {
	if($stype == "l") $title = $locale['445'];
	if($stype == "n") $title = $locale['446'];
	if($stype == "a") $title = $locale['447'];
} elseif($url['path'] == "register.php") {
	$title = $locale['448'];
} elseif($url['path'] == "search.php") {
	$title = $locale['449'];
} elseif($url['path'] == "edit_profile.php") {
	$title = $locale['450'];
} elseif($url['path'] == "members.php") {
	$title = $locale['451'];
} elseif($url['path'] == "guestbook.php") {
	$title = $locale['452'];
} elseif($url['path'] == "lostpassword.php") {
	$title = $locale['453'];
} elseif($url['path'] == "contact.php") {
	$title = $locale['454'];
} elseif($url['path'] == "post.php") {
	if($action == "newthread") {
		$title = title("forum_name", "forums", "forum_id", $forum_id, $locale['418'], $locale['419']);
	} elseif($action == "edit") {
		$title = title("post_subject", "posts", "post_id", $post_id, $locale['420'], $locale['421']);
	} elseif($action == "reply") {
		$title = title("thread_subject", "threads", "thread_id", $thread_id, $locale['422'], $locale['423']);
	}
} elseif($url['path'] == "messages.php") {
	if(isset($msg_view)) {
		$title = title("message_subject", "messages", "message_id", $msg_view, $locale['429'], $locale['430']);
	} elseif(isset($msg_reply)) {
		$title = title("message_subject", "messages", "message_id", $msg_reply, $locale['431'], $locale['432']);
	} elseif(isset($_POST['reply_preview'])) {
		$title = title("message_subject", "messages", "message_id", $msg_reply_preview, $locale['433'], $locale['434']);
	} elseif(isset($msg_send)) {
		$title = title("user_name", "users", "user_id", $msg_send, $locale['435'], $locale['436']);
	} elseif(isset($_POST['send_preview'])) {
		$title = title("user_name", "users", "user_id", $msg_to, $locale['437'], $locale['438']);
	} elseif(isset($folder)) {
		if($folder == "inbox") $title = $locale['424'];
		elseif($folder == "sentbox") $title = $locale['425'];
		elseif($folder == "savebox") $title = $locale['426'];
		elseif($folder == "options") $title = $locale['427'];
		else $title = $locale['428'];
	} else {
		$title = $locale['428'];
	}
} elseif($url['path'] == "photogallery.php") {
	if(isset($album)) {
		$title = title("album_title", "photo_albums", "album_id", $album, $locale['439'], $locale['440']);
	} elseif(isset($photo)) {
		$title = title("photo_title", "photos", "photo_id", $photo, $locale['441'], $locale['442']);
	} else {
		$title = $locale['443'];
	}
} elseif($url['path'] == "index.php") {
	if(BASEDIR.basename(dirname($_SERVER['PHP_SELF']))."/" == FORUM) $title = $locale['444'];
} else {
	$page_array[0] = array("news.php", "news_subject", "news", "news_id", $readmore, $locale['400'], $locale['401']);
	$page_array[1] = array("articles.php", "article_cat_name", "article_cats", "article_cat_id", $cat_id, $locale['402'], $locale['403']);
	$page_array[2] = array("readarticle.php", "article_subject", "articles", "article_id", $article_id, $locale['404'], $locale['405']);
	$page_array[3] = array("downloads.php", "download_cat_name", "download_cats", "download_cat_id", $cat_id, $locale['406'], $locale['407']);
	$page_array[4] = array("faq.php", "faq_cat_name", "faq_cats", "faq_cat_id", $cat_id, $locale['408'], $locale['409']);
	$page_array[5] = array("profile.php", "user_name", "users", "user_id", $lookup, $locale['410'], $locale['411']);
	$page_array[6] = array("viewpage.php", "page_title", "custom_pages", "page_id", $page_id, "", "");
	$page_array[7] = array("weblinks.php", "weblink_cat_name", "weblink_cats", "weblink_cat_id", $cat_id, $locale['412'], $locale['413']);
	$page_array[8] = array("viewforum.php", "forum_name", "forums", "forum_id", $forum_id, $locale['414'], $locale['415']);
	$page_array[9] = array("viewthread.php", "thread_subject", "threads", "thread_id", $thread_id, $locale['416'], $locale['417']);
}
foreach($page_array as $value) {
	if($value[0] == $url['path'] && $value[4] > "") {
		$title = title($value[1], $value[2], $value[3], $value[4], $value[5],$value[6]);
	} elseif($value[0] == $url['path']) {
			$title = $value[6];
	}
}
if(!empty($title)) $title = $title." - ";
echo "<title>".$title.$settings['sitename']."</title>
<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."'>
<meta name='description' content='".$settings['description']."'>
<meta name='keywords' content='".$settings['keywords']."'>
<link rel='stylesheet' href='".THEME."styles.css' type='text/css'>
<script type='text/javascript' src='".INCLUDES."jscript.js'></script>
</head>
<body bgcolor='$body_bg' text='$body_text'>\n";

render_header("<img src='".BASEDIR.$settings['sitebanner']."' alt='".$settings['sitename']."' title='".$settings['sitename']."'>");
?>